<script lang="ts">
  export let data = {
    image: '',
    url: '',
  };
</script>

<div class="card">
  <div>
    <img src={'src/lib/images/nft/' + data.image} />
  </div>
  <div>
    <span>Name of Creator</span>
    <span>99 ETH</span>
  </div>
</div>

<style lang="postcss">
  .card {
    display: flex;

    /* border: 1px solid gray; */
    width: 200px;
    flex-wrap: wrap;
    align-items: center;
    padding: 10px;
    border-radius: var(--radius-4);
    background-color: white;
  }

  img {
    border-radius: var(--radius-4);

    /* width: 25%; */

    /* height: 50%; */
  }

  span {
    display: block;
  }
</style>
